%define module_name Alien-Libarchive3
# BEGIN SourceDeps(oneline):
BuildRequires: libarchive-devel perl(Alien/Base.pm) perl(Alien/Build.pm) perl(Alien/Build/MM.pm) perl(Alien/Build/Plugin/Build/SearchDep.pm) perl(ExtUtils/CBuilder.pm) perl(ExtUtils/MakeMaker.pm) perl(FFI/CheckLib.pm) perl(Path/Tiny.pm) perl(Test/Alien.pm) perl(Test2/V0.pm)
# END SourceDeps(oneline)
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.33
Release: alt2
Summary: Find or install libarchive version 3.x or better
Group: Development/Perl
License: perl
URL: https://metacpan.org/pod/Alien::Libarchive3

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/P/PL/PLICEASE/%{module_name}-%{version}.tar.gz
#BuildArch: noarch

%description
This distribution provides libarchive so that it can be used by other 
Perl distributions that are on CPAN.  It does this by first trying to 
detect an existing install of libarchive on your system.  If found it 
will use that.  If it cannot be found, the source code will be downloaded
from the internet and it will be installed in a private share location
for the use of other modules.

The intention is for this to eventually replace the Alien::Libarchive manpage

%prep
%setup -q -n %{module_name}-%{version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc LICENSE author.yml README Changes
%perl_vendor_archlib/A*
%perl_vendor_autolib/*

%changelog
* Wed Nov 29 2023 Igor Vlasenko <viy@altlinux.org> 0.33-alt2
- rebuild with perl 5.38

* Tue Sep 27 2022 Igor Vlasenko <viy@altlinux.org> 0.33-alt1
- updated by package builder

* Wed Jun 16 2021 Igor Vlasenko <viy@altlinux.org> 0.32-alt2
- rebuild with perl 5.34.0

* Fri May 28 2021 Igor Vlasenko <viy@altlinux.ru> 0.32-alt1
- updated by package builder

* Wed May 26 2021 Igor Vlasenko <viy@altlinux.ru> 0.31-alt1
- updated by package builder

* Thu Oct 01 2020 Igor Vlasenko <viy@altlinux.ru> 0.29-alt2
- rebuild with perl 5.30

* Fri Feb 01 2019 Cronbuild Service <cronbuild@altlinux.org> 0.29-alt1.1
- rebuild with perl 5.28.1

* Wed Dec 26 2018 Igor Vlasenko <viy@altlinux.ru> 0.29-alt1
- initial import by package builder

